summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2015-07-25 10:07:36 +0000
committerMichał Górny <mgorny@gentoo.org>2015-07-25 10:07:36 +0000
commit70427003f6efbaae1f01af53811fd3de64bf6216 (patch)
treeeff27480b22c042ea7dff4842c6ec08d54121fef /eclass
parentadd support for pypy (diff)
downloadhistorical-70427003f6efbaae1f01af53811fd3de64bf6216.tar.gz
historical-70427003f6efbaae1f01af53811fd3de64bf6216.tar.bz2
historical-70427003f6efbaae1f01af53811fd3de64bf6216.zip
Add missing ||die to "rm -f" calls, i.e. in case we do not have permission to remove the files.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog6
-rw-r--r--eclass/python-utils-r1.eclass8
2 files changed, 9 insertions, 5 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index 6a0f8d479698..c0a012ee4e45 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,10 @@
# ChangeLog for eclass directory
# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1726 2015/07/23 15:42:26 williamh Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1727 2015/07/25 10:07:36 mgorny Exp $
+
+ 25 Jul 2015; Michał Górny <mgorny@gentoo.org> python-utils-r1.eclass:
+ Add missing ||die to "rm -f" calls, i.e. in case we do not have permission to
+ remove the files.
23 Jul 2015; William Hubbs <williamh@gentoo.org> golang-build.eclass:
Add functions to retrieve Go library paths and install Go packages.
diff --git a/eclass/python-utils-r1.eclass b/eclass/python-utils-r1.eclass
index 30148d352031..a29217946f89 100644
--- a/eclass/python-utils-r1.eclass
+++ b/eclass/python-utils-r1.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/python-utils-r1.eclass,v 1.83 2015/07/04 15:26:17 floppym Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/python-utils-r1.eclass,v 1.84 2015/07/25 10:07:36 mgorny Exp $
# @ECLASS: python-utils-r1
# @MAINTAINER:
@@ -840,9 +840,9 @@ python_wrapper_setup() {
mkdir -p "${workdir}"/{bin,pkgconfig} || die
# Clean up, in case we were supposed to do a cheap update.
- rm -f "${workdir}"/bin/python{,2,3,-config}
- rm -f "${workdir}"/bin/2to3
- rm -f "${workdir}"/pkgconfig/python{,2,3}.pc
+ rm -f "${workdir}"/bin/python{,2,3,-config} || die
+ rm -f "${workdir}"/bin/2to3 || die
+ rm -f "${workdir}"/pkgconfig/python{,2,3}.pc || die
local EPYTHON PYTHON
python_export "${impl}" EPYTHON PYTHON